com.r3corda.protocols / NotaryProtocol

# NotaryProtocol

`object NotaryProtocol`

### Types

Client | `class Client : ProtocolLogic<LegallyIdentifiable>` A protocol to be used for obtaining a signature from a NotaryService ascertaining the transaction timestamp is correct and none of its inputs have been used in another completed transaction.
DefaultFactory | `object DefaultFactory : Factory`
Factory | `interface Factory`
Handshake | `data class Handshake : PartyRequestMessage`
Result | `data class Result`
Service | `class Service : ProtocolLogic<Unit>` Checks that the timestamp command is valid (if present) and commits the input state, or returns a conflict if any of the input states have been previously committed.
SignRequest | `data class SignRequest` TODO: The caller must authenticate instead of just specifying its identity

### Properties

TOPIC | `val TOPIC: String`